# Class MeasurementData

java.lang.Object
java.util.AbstractCollection<Measurement>
java.util.AbstractList<Measurement>
java.util.ArrayList<Measurement>
javajs.util.Lst<Measurement>
jspecview.common.MeasurementData

All Implemented Interfaces:
  `Serializable, Cloneable, Iterable<Measurement>, Collection<Measurement>, List<Measurement>, RandomAccess, SequencedCollection<Measurement>, AnnotationData`

Direct Known Subclasses:
  `IntegralData, PeakData`

public class MeasurementData extends Lst<Measurement> implements AnnotationData

See Also:
  - Serialized Form

## Field Summary

Fields
Modifier and Type
Field
Description
`protected Parameters`
`myParams`
`protected int`
`precision`
`protected Spectrum`
`spec`
`protected String`
`units`

### Fields inherited from class AbstractList

`modCount`

## Method Summary

Modifier and Type
Method
Description
`protected void`
`clear(double x1, double x2)`
`protected int`
`find(double x)`
`Annotation.AType`
`getAType()`
`MeasurementData`
`getData()`
`String[]`
`getDataHeader()`
`String`
`getGraphSetKey()`
`String[][]`
`getMeasurementListArray(String units)`
`Parameters`
`getParameters()`
`Spectrum`
`getSpectrum()`
`boolean`
`getState()`
`boolean`
`isDialog()`
`boolean`
`isVisible()`
`void`
`setGraphSetKey(String key)`
`void`
`setSpecShift(double dx)`
`void`
`setState(boolean b)`

### Methods inherited from class Lst

`add, add, addLast, remove, remove, removeItemAt, removeObj`

### Methods inherited from class ArrayList

`addAll, addAll, addFirst, clear, clone, contains, ensureCapacity, equals, forEach, get, getFirst, getLast, hashCode, indexOf, isEmpty, iterator, lastIndexOf, listIterator, listIterator, removeAll, removeFirst, removeIf, removeLast, removeRange, replaceAll, retainAll, set, size, sort, spliterator, subList, toArray, toArray, trimToSize`

### Methods inherited from class AbstractCollection

`containsAll, toString`

### Methods inherited from class Object

`finalize, getClass, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface Collection

`parallelStream, stream, toArray`

### Methods inherited from interface List

`containsAll, reversed`

## Field Details

### spec

protected Spectrum spec

### units

protected String units

### precision

protected int precision

### myParams

protected Parameters myParams

## Method Details

### getAType

public Annotation.AType getAType()

Specified by:
  `getAType` in interface `AnnotationData`

### getState

public boolean getState()

Specified by:
  `getState` in interface `AnnotationData`

### setState

public void setState(boolean b)

Specified by:
  `setState` in interface `AnnotationData`

### getParameters

public Parameters getParameters()

Specified by:
  `getParameters` in interface `AnnotationData`

### getDataHeader

public String[] getDataHeader()

### getMeasurementListArray

public String[][] getMeasurementListArray(String units)

### getSpectrum

public Spectrum getSpectrum()

Specified by:
  `getSpectrum` in interface `AnnotationData`

### getData

public MeasurementData getData()

Specified by:
  `getData` in interface `AnnotationData`

### clear

protected void clear(double x1, double x2)

### find

protected int find(double x)

### setSpecShift

public void setSpecShift(double dx)

Specified by:
  `setSpecShift` in interface `AnnotationData`

### getGraphSetKey

public String getGraphSetKey()

Specified by:
  `getGraphSetKey` in interface `AnnotationData`

### setGraphSetKey

public void setGraphSetKey(String key)

Specified by:
  `setGraphSetKey` in interface `AnnotationData`

### isVisible

public boolean isVisible()

Specified by:
  `isVisible` in interface `AnnotationData`

### isDialog

public boolean isDialog()

Specified by:
  `isDialog` in interface `AnnotationData`